Paranoid - курс от Codeby Security School

Представляем вашему вниманию курс от команды codeby - "Комплекс мер по защите персональных данных, анонимности в интернете и не только" Подробнее ...


Проблемы зависимости MailScanner от libcompress-zlib-perl

Совсем недавно я рассказывал, как установить почтовый сервер на Debian, Ubuntu, Mint и их производные. После установки почтового сервера, крайне рекомендуются для установки программы Clam Antivirus, SpamAssassin и MailScanner. О том, как их установить также уже было рассказано.

Но некоторые загвоздки могут возникнуть с программой MailScanner. Например, на Linux Mint эта программа категорически отказывает устанавливаться. А именно, постоянно появляются ошибки:

Если попытаться установить libcompress-zlib-perl, то появляется ошибка, которая говорит, что это виртуальный пакет:

 

Если пробовать установить пакеты ibio-compress-perl 2.063-1 или perl 5.18.2-2ubuntu1, то появляются сообщения, что они уже установлены.

Тем не менее, ситуация не безнадёжная.

Установка MailScanner для Other Linux (файл *.tar.gz)

Перед началом всех работ, первое, что нужно сделать, это установить все необходимые зависимости. Список зависимостей большой, но, к счастью, это можно сделать используя одну команду.

Скачиваем последнюю версию MailScanner, но теперь из раздела Other Linux. После этого распаковываем, переходим в распакованный каталог и запускаем установочный скрипт (ещё раз — пути могут быть другие, если вы скачиваете более свежую версию).

 


Codeby Security School от Сodeby

Мы запустили свою онлайн школу по информационной безопасности. Защита персональных данных, анонимность в сети интернет, настройка виртуальных машин, безопасная передача данных, анти форензика и еще много всего полезного в курсе Paranoid


После этого происходит реально долгая установка. Программа постоянно выводит блоки информации, которые очень похожи, различаются только название модулей. Из-за этого может показаться, что программу зациклило и что она пишет одно и то же. Просто ждём — всё в порядке.

Устанавливается она в другой каталог, не в тот, который описан в предыдущей инструкции — /opt/MailScanner-4.84.6-1

Настройка MailScanner

Создаём необходимый каталог для программы и присваиваем соответствующие разрешения, создаём ещё один необходимый файл:

Настройка конфигурационного файла такая же, но сам конфигурационный файл лежит в другом месте (я сравниваю с предыдущей инструкцией, ссылка на которую дана выше):

 

Запуск MailScanner

После всего этого должно запуститься:

У меня при запуске появляются предупреждения:

И ещё при обновлениях пакетов будет появляться напоминание, что один из пакетов (MailScanner) установлен неправильно и будет предложение его удалить. Тем не менее, судя по логу всё работает:

MailScanner устанавливается в каталог /opt. Но если хотите, то можете переместить его куда угодно. После этого отредактируйте MailScanner.conf и check_mailscanner для установки верных путей.

Рекомендуется назначить следующие задачи для cron (от имени рута):

 


Безопасная сделка с гарантом Сodeby

Гарант является доверенным посредником между Участниками при проведении сделки.​ Услуга сайта «Проведение сделок через Гаранта» предоставляется всем зарегистрированным пользователям codeby.net Подробнее ...


Похожие темы

Ещё один способ взлома почты — подвох откуда не жд... Про кражу паролей от почты, о взломе почты я уже писал. Например в статье «Как воруют пароли от почты». Я недавно вспоминал эту статью и...
Как добавить образ диска в виртуальную машину KVM ... Как добавить дополнительное дисковое хранилище в гостевую ОС на виртуальную машину KVM с командой virsh в операционной системе Linux? Вы можете легко...
Как установить безопасный SFTP сервер в Linux... SFTP служба обеспечивает безопасный механизм доступа и передачи файлов через туннель SSH. Если вы настраиваете SFTP сервер, доступ к которому будут им...
Начало работы с Metasploit Перейти к содержанию полного руководства пользователя Metasploit на русском языке. О Metasploit Запуск Metasploit Компоненты Metasploit Pro Ос...
Новости софта от 27 августа 2014 года (LibreOffice... Вышла новая версия замечательнейшего офисного пакета LibreOffice 4.3.1 RC 2. Обращаем внимание, что это релиз кандидат, и, возможно, торопиться её с...